Page MenuHomePhabricator

CXServer's /list/{tool}{/from}{/to} should work when only {from} is provided
Closed, ResolvedPublic

Description

The from and to parametres are optional in the end point. If they are not given, or if they are both given, the service responds correctly. However, when only from is given, the service ignores it and responds as if it were not given. The expected behaviour for it is to respond with the list of pairs for the given from language. Instead, the service responds with the list of all from/to pairs.

Event Timeline

mobrovac triaged this task as Normal priority.May 14 2018, 2:50 PM
mobrovac created this task.
Restricted Application added a project: ContentTranslation. · View Herald TranscriptMay 14 2018, 2:50 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 434619 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/services/cxserver@master] Make tools API endpoint work with only source language

https://gerrit.wikimedia.org/r/434619

Change 434619 merged by jenkins-bot:
[mediawiki/services/cxserver@master] Make tools API endpoint work when only source language is provided

https://gerrit.wikimedia.org/r/434619

Arrbee moved this task from QA to Done on the Language-2018-Apr-June board.May 31 2018, 8:04 AM
Arrbee closed this task as Resolved.Jun 4 2018, 7:10 AM
Vvjjkkii renamed this task from CXServer's /list/{tool}{/from}{/to} should work when only {from} is provided to 3zcaaaaaaa.Jul 1 2018, 1:10 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Petar.petkovic as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii edited subscribers, added: Petar.petkovic; removed: gerritbot, Aklapper.
mobrovac renamed this task from 3zcaaaaaaa to CXServer's /list/{tool}{/from}{/to} should work when only {from} is provided.Jul 1 2018, 10:40 AM
mobrovac closed this task as Resolved.
mobrovac assigned this task to Petar.petkovic.
mobrovac lowered the priority of this task from High to Normal.
mobrovac updated the task description. (Show Details)
mobrovac removed a subscriber: Petar.petkovic.